List all Chart of Accounts Templates
curl --request GET \
--url https://api.sandbox.teal.dev/v0/platform-gl/coa-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.teal.dev/v0/platform-gl/coa-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.teal.dev/v0/platform-gl/coa-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next_page_token": "ikal0NEVfMhF8dJf4yQ6KQZmGD",
"prev_page_token": "vuA7JeKI5c6FLnPt5JfRcZcJxW",
"records": [
{
"id": "PpvsmFEv14yGDyT6iV6kXw",
"name": "Coffee Shop Sole Prop",
"accounting_basis": "accrual",
"type": "agent",
"ledger_ids": [
"7JRNsKwy2Lw66caxVU7WGC",
"HLn8oy2eqMUCwjp1Cwdgco"
],
"ledgers": null
}
]
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}Chart of Accounts Templates
List all Chart of Accounts Templates
Lists all Chart of Accounts Templates for the Platform.
GET
/
v0
/
platform-gl
/
coa-templates
List all Chart of Accounts Templates
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Query Parameters
Comma-separated list of expandable paths.
Available options:
ledgers The number of records to return. Max limit is 1000.
Required range:
x >= 1Opaque page token
Response
Successful Response
The token to use to request the next page
Example:
"ikal0NEVfMhF8dJf4yQ6KQZmGD"
The token to use to request the previous page
Example:
"vuA7JeKI5c6FLnPt5JfRcZcJxW"
List of CoA templates
Show child attributes
Show child attributes
⌘I